@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');


body {
    --primary-color: #219DFA;
    --secondary-color: #7449F5;
    --support-color: #3D57E0;
    --bg-color: #AFEEFF;
    font-family: 'Montserrat', sans-serif;
    display: flex;
    flex-direction: column;
    height: 100vh;
    align-items: center;
    
}

header {
    width: 100%;
}


.navbar {
    background-color: var(--primary-color);
    
}

.primary-title {
    text-align: center;
    margin: 40px 0;
    font-weight: 800;
}

form button {
    margin: 40px 0;
}

main {
    flex: 1;
}

.posts {
    width: 50%;
    margin: 0 auto;

}

.post {
    margin: 50px 0px;
    text-align: left;

}


.image {
    display: block;
    width: 50%;
    margin: 30px auto;
    
}

.weather-form {
    text-align: center;
    margin: 30px 0;

}

.weather-form input {
    padding: 5px;
}

.weatherapp {
    display: none;
}

.container {
    width: fit-content
}

.card {
    padding: 1.2rem 3rem 1rem 3rem;
    margin: 1rem;
    border-radius: 1.5rem;
    border-color: rgba(238, 237, 237, 0.438);
    box-shadow: 5px 8px 10px #80808033
}

@media(max-width:767px) {
    .card {
        height: 10rem;
        padding: 1.5rem 1.5rem 1rem 1.5rem
    }
}

.carousel-indicators li {
    width: 5px;
    height: 6px;
    border-radius: 100%;
    opacity: 0.2;
    background-color: #000000
}

.carousel-indicators {
    margin-bottom: 0
}

.temp {
    font-size: 5rem;
    color: rgb(57, 57, 58)
}

.card-1 {
    background: linear-gradient(to right, #ffffff 50%, rgba(241, 224, 190, 0.507))
}

@media(max-width:767px) {
    .temp {
        font-size: 3rem
    }
}

.location {
    margin-bottom: 1.5rem
}

@media(max-width:767px) {
    .location {
        font-size: 0.75rem
    }
}

.img-fluid {
    float: right;
    width: 65%;
    display: flex;
    align-items: center
}

.row2 .img-fluid {
    margin: 10% 0;
    opacity: 0.5;
    width: 40%
}

.card-2 .row {
    justify-content: center
}

.card-3 .row {
    justify-content: center
}

.row1 {
    font-size: 0.7rem;
    font-weight: bold;
    color: black
}

.row3 {
    font-size: 0.9rem;
    font-weight: bold;
    color: black
}

@media(max-width:400px) {
    .row3 {
        font-size: 0.7rem;
        font-weight: bold;
        color: black
    }
}

@media(max-width:320px) {
    .row3 {
        font-size: 0.6rem;
        font-weight: bold;
        color: black
    }
}

.row4 {
    font-size: 0.6rem;
    color: rgb(196, 196, 196);
    margin: 5% 0 2.5rem
}

.card-3 .row3 {
    margin: 5% 0 2.5rem
}

.col {
    overflow: visible
}

.row {
    overflow: visible
}

footer {
    background-color: var(--primary-color);
    padding: 20px;
    text-align: center;
    width: 100%;
}